summaryrefslogtreecommitdiffstats
path: root/source/n/php
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/php')
-rw-r--r--source/n/php/doinst.sh4
-rwxr-xr-xsource/n/php/fetch-php.sh2
-rw-r--r--source/n/php/init.d.php-fpm.in.diff11
-rwxr-xr-xsource/n/php/php.SlackBuild13
4 files changed, 23 insertions, 7 deletions
diff --git a/source/n/php/doinst.sh b/source/n/php/doinst.sh
index 2af731e95..bf1b21702 100644
--- a/source/n/php/doinst.sh
+++ b/source/n/php/doinst.sh
@@ -24,5 +24,5 @@ fi
config etc/rc.d/rc.php-fpm.new
cp -a etc/httpd/php.ini-production etc/httpd/php.ini.new
config etc/httpd/php.ini.new
-cp -a etc/php-fpm.conf.default etc/php-fpm.conf.new
-config etc/php-fpm.conf.new
+cp -a etc/php-fpm/php-fpm.conf.default etc/php-fpm/php-fpm.conf.new
+config etc/php-fpm/php-fpm.conf.new
diff --git a/source/n/php/fetch-php.sh b/source/n/php/fetch-php.sh
index 6542c8bb8..522214cc0 100755
--- a/source/n/php/fetch-php.sh
+++ b/source/n/php/fetch-php.sh
@@ -1 +1 @@
-lftpget http://us.php.net/distributions/php-5.4.7.tar.bz2
+lftpget http://us.php.net/distributions/php-5.4.20.tar.bz2
diff --git a/source/n/php/init.d.php-fpm.in.diff b/source/n/php/init.d.php-fpm.in.diff
new file mode 100644
index 000000000..00f887780
--- /dev/null
+++ b/source/n/php/init.d.php-fpm.in.diff
@@ -0,0 +1,11 @@
+--- ./sapi/fpm/init.d.php-fpm.in.orig 2013-05-08 00:41:20.000000000 -0500
++++ ./sapi/fpm/init.d.php-fpm.in 2013-05-19 14:52:33.952089160 -0500
+@@ -14,7 +14,7 @@
+ exec_prefix=@exec_prefix@
+
+ php_fpm_BIN=@sbindir@/php-fpm
+-php_fpm_CONF=@sysconfdir@/php-fpm.conf
++php_fpm_CONF=@sysconfdir@/php-fpm/php-fpm.conf
+ php_fpm_PID=@localstatedir@/run/php-fpm.pid
+
+
diff --git a/source/n/php/php.SlackBuild b/source/n/php/php.SlackBuild
index e475f824e..9e2632303 100755
--- a/source/n/php/php.SlackBuild
+++ b/source/n/php/php.SlackBuild
@@ -3,7 +3,7 @@
# Build and package mod_php on Slackware.
# by: David Cantrell <david@slackware.com>
# Modified for PHP 4-5 by volkerdi@slackware.com
-# Copyright 2007, 2008, 2009, 2010, 2011, 2012 Patrick Volkerding, Sebeka, MN, USA
+# Copyright 2007, 2008, 2009, 2010, 2011, 2012, 2013 Patrick Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,8 +24,8 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=5.4.7
-ALPINE=2.02
+VERSION=${VERSION:-$(echo php-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+ALPINE=2.11
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -71,10 +71,11 @@ if [ -r $IMAPLIBDIR/lib${LIBDIRSUFFIX}/c-client.a ]; then
sleep 5
else
( cd $CWD/../alpine ; ./alpine.SlackBuild || exit 1 ) || exit 1
- ( cd $TMP/re-alpine-${ALPINE}/imap/c-client
+ ( cd $TMP/alpine-${ALPINE}/imap/c-client
strip -g c-client.a
mkdir -p $IMAPLIBDIR/lib${LIBDIRSUFFIX}
cp c-client.a $IMAPLIBDIR/lib${LIBDIRSUFFIX}
+ ( cd $IMAPLIBDIR/lib${LIBDIRSUFFIX} ; ln -sf c-client.a libc-client.a )
mkdir -p $IMAPLIBDIR/include
cp *.h $IMAPLIBDIR/include
)
@@ -95,6 +96,8 @@ rm -rf php-$VERSION
tar xvf $CWD/php-$VERSION.tar.?z* || exit 1
cd php-$VERSION
+zcat $CWD/init.d.php-fpm.in.diff.gz | patch -p1 --verbose || exit 1
+
# cleanup:
find . -name "*.orig" -delete
@@ -238,6 +241,8 @@ make install INSTALL_ROOT=$PKG || exit 1
mkdir -p $PKG/etc/{rc.d,php-fpm}
cp sapi/fpm/init.d.php-fpm $PKG/etc/rc.d/rc.php-fpm.new
chmod 644 $PKG/etc/rc.d/rc.php-fpm.new
+mv $PKG/etc/php-fpm.conf.default $PKG/etc/php-fpm
+chmod 644 $PKG/etc/php-fpm/php-fpm.conf.default
# PHP (used to) install Pear with some strange permissions.
chmod 755 $PKG/usr/bin/pear